# $Revision: 1.20.2.33 $, $Date: 2005/10/23 11:42:21 $
#
# Conditional build:
%bcond_with	tests		# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Mail
%define		pnam	SpamAssassin
Summary:	A spam filter for email which can be invoked from mail delivery agents
Summary(pl):	Filtr antyspamowy, przeznaczony dla programw dostarczajcych poczt (MDA)
Name:		spamassassin
Version:	3.1.0
Release:	3.1
License:	Apache Software License v2
Group:		Applications/Mail
Source0:	http://www.apache.org/dist/spamassassin/source/%{pdir}-%{pnam}-%{version}.tar.bz2
# Source0-md5:	d28bd7e83d01b234144e336bbfde0caa
Source1:	%{name}.sysconfig
Source2:	%{name}-spamd.init
Patch0:		%{name}-bug-4619.patch
URL:		http://spamassassin.apache.org/
BuildRequires:	openssl-devel >= 0.9.6m
BuildRequires:	perl-devel >= 1:5.6.1
BuildRequires:	perl-Archive-Tar
BuildRequires:	perl-DB_File
BuildRequires:	perl-Net-DNS
BuildRequires:	perl-Mail-SPF-Query
BuildRequires:	perl-IP-Country
BuildRequires:	perl-Net-Ident
BuildRequires:	perl-IO-Socket-INET6 >= 2.51
BuildRequires:	perl-IO-Socket-SSL
BuildRequires:	perl-IO-Zlib
BuildRequires:	perl-DBI
BuildRequires:	perl-Digest-SHA1 >= 2.10
BuildRequires:	perl-HTML-Parser >= 3
#BuildRequires:	perl-Razor2
BuildRequires:	perl-libwww
%if %{with tests}
# are these really needed?
BuildRequires:	perl-MailTools
BuildRequires:	perl-MIME-Base64
BuildRequires:	perl-MIME-tools
%endif
BuildRequires:	rpm-perlprov >= 4.0.2-112.1
Requires:	perl-Mail-SpamAssassin = %{version}-%{release}
Obsoletes:	SpamAssassin
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(Razor2::Client::Agent)' 'perl(Razor::Agent)' 'perl(Razor::Client)' 'perl(DBI)'

%description
SpamAssassin provides you with a way to reduce if not completely
eliminate Unsolicited Commercial Email (SPAM) from your incoming
email. It can be invoked by a MDA such as sendmail or postfix, or can
be called from a procmail script, .forward file, etc. It uses a
genetic-algorithm evolved scoring system to identify messages which
look spammy, then adds headers to the message so they can be filtered
by the user's mail reading software. This distribution includes the
spamd/spamc components which create a server that considerably speeds
processing of mail.

%description -l pl
SpamAssassin daje moliwo zredukowania, jeli nie kompletnego
wyeliminowania niezamawianej komercyjnej poczty (Unsolicited
Commercial Email, spamu) z poczty. Moe by wywoywany z MDA, np.
Sendmaila czy Postfiksa, lub z pliku ~/.forward itp. Uywa oglnego
algorytmu oceniania w celu identyfikacji wiadomoci, ktre wygldaj
na SPAM, po czym dodaje nagwki do wiadomoci, umoliwiajc
filtrowanie przez oprogramowanie uytkownika. Ta dystrybucja zawiera
programy spamd/spamc, umoliwiajce uruchomienie serwera, co znacznie
przyspieszy proces przetwarzania poczty.

%package tools
Summary:	Miscleanous tools for SpamAssassin
Summary(pl):	Przerne narzdzia zwizane z SpamAssassin
Group:		Applications/Mail
Obsoletes:	SpamAssassin-tools

%description tools
Miscleanous tools from various authors, distributed with SpamAssassin.
See /usr/share/doc/spamassassin-tools-*/.

%description tools -l pl
Przerne narzdzia, dystrybuowane razem ze SpamAssassinem. Wicej
informacji w /usr/share/doc/spamassassin-tools-*/.

%package spamd
Summary:	spamd - daemonized version of spamassassin
Summary(pl):	spamd - spamassassin w postaci demona
Group:		Applications/Mail
PreReq:		rc-scripts
Requires(post,preun):	/sbin/chkconfig
Requires:	perl-Mail-SpamAssassin = %{version}-%{release}

%description spamd
The purpose of this program is to provide a daemonized version of the
spamassassin executable. The goal is improving throughput performance
for automated mail checking.

This is intended to be used alongside "spamc", a fast, low-overhead C
client program.

%description spamd -l pl
Spamd jest "demoniczn" wersj spamassassina. Jego zadaniem jest
poprawa wydajnoci automatycznego sprawdzania poczty.

Spamd powinien by uywany wesp ze "spamc", ktry jest szybkim i
wydajnym programem klienckim.

%package spamc
Summary:	spamc - client for spamd
Summary(pl):	spamc - klient dla spamd
Group:		Applications/Mail

%description spamc
Spamc is the client half of the spamc/spamd pair. It should be used in
place of "spamassassin" in scripts to process mail. It will read the
mail from STDIN, and spool it to its connection to spamd, then read
the result back and print it to STDOUT. Spamc has extremely low
overhead in loading, so it should be much faster to load than the
whole spamassassin program.

%description spamc -l pl
Spamc powinien by uywany zamiast "spamassassina" w skryptach
przetwarzajcych poczt. Zczytuje poczt ze STDIN, kolejkuje j a
nastpnie przekazuje spamdowi, odczytuje wynik i podaje go na STDOUT.
Spamc stara si nie obcia zbytnio procesora podczas adowania,
dziki czemu powinien dziaa szybciej ni sam spamassassin.

%package -n perl-Mail-SpamAssassin
Summary:	Mail::SpamAssassin - SpamAssassin e-mail filter libraries
Summary(pl):	Mail::SpamAssassin - biblioteki filtra poczty SpamAssassin
Group:		Development/Languages/Perl
Requires:	perl-HTML-Parser >= 3
Requires:	perl-Cache-DB_File >= 0.2
Requires:	perl-IO-Socket-INET6 >= 2.51
Requires:	perl-Sys-Hostname-Long
Requires:	perl-Mail-SPF-Query
Conflicts:	perl-Net-DNS < 0.50

%description -n perl-Mail-SpamAssassin
Mail::SpamAssassin is a Mail::Audit plugin to identify spam using text
analysis and several internet-based realtime blacklists. Using its
rule base, it uses a wide range of heuristic tests on mail headers and
body text to identify ``spam'', also known as unsolicited commercial
email. Once identified, the mail can then be optionally tagged as spam
for later filtering using the user's own mail user-agent application.

%description -n perl-Mail-SpamAssassin -l pl
Mail::SpamAssassin jest pluginem dla Mail::Audit, sucym do
identyfikacji spamu przy uyciu analizy zawartoci i/lub internetowych
czarnych list. Do zidentyfikowania jako ,,spam'' stosuje szeroki
zakres testw heurystycznych na nagwkach i treci, posikujc si
stworzon wczeniej baz regu. Po zidentyfikowaniu, poczta moe by
oznaczona jako spam w celu pniejszego wyfiltrowania, np. przy uyciu
aplikacji do czytania poczty.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p0

%build
%{__perl} Makefile.PL \
	PREFIX=%{_prefix} \
	SYSCONFDIR=%{_sysconfdir} \
	ENABLE_SSL=yes \
	CONTACT_ADDRESS="postmaster@localhost" \
	PERL_BIN=%{__perl} < /dev/null
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{sysconfig,rc.d/init.d},%{_sysconfdir}/mail/spamassassin}

%{__make} install \
	PREFIX=$RPM_BUILD_ROOT%{_prefix} \
	SYSCONFDIR=$RPM_BUILD_ROOT%{_sysconfdir} \
	INSTALLMAN1DIR=$RPM_BUILD_ROOT%{_mandir}/man1 \
	INSTALLMAN3DIR=$RPM_BUILD_ROOT%{_mandir}/man3

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/spamassassin

# shouldn't this script be called `spamd' instead?
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/spamassassin

%clean
rm -rf $RPM_BUILD_ROOT

%post spamd
/sbin/chkconfig --add spamassassin
if [ -f /var/lock/subsys/spamd ]; then
	/etc/rc.d/init.d/spamassassin restart 1>&2
else
	echo 'Run "/etc/rc.d/init.d/spamassassin start" to start the spamd daemon.'
fi

%preun spamd
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/spamd ]; then
		/etc/rc.d/init.d/spamassassin stop 1>&2
	fi
	/sbin/chkconfig --del spamassassin
fi

%files
%defattr(644,root,root,755)
%doc BUGS CREDITS Changes INSTALL README STATUS TRADEMARK UPGRADE USAGE
%doc procmailrc.example
%attr(755,root,root) %{_bindir}/sa-learn
%attr(755,root,root) %{_bindir}/sa-update
%attr(755,root,root) %{_bindir}/spamassassin
%{_mandir}/man1/sa-learn*
%{_mandir}/man1/sa-update*
%{_mandir}/man1/spamassassin*

%files tools
%defattr(644,root,root,755)
%doc sql ldap tools masses contrib

%files spamd
%defattr(644,root,root,755)
%doc spamd/README*
%attr(754,root,root) /etc/rc.d/init.d/spamassassin
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/spamassassin
%attr(755,root,root) %{_bindir}/spamd
%{_mandir}/man1/spamd*

%files spamc
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/spamc
%{_mandir}/man1/spamc*

%files -n perl-Mail-SpamAssassin
%defattr(644,root,root,755)
%doc sample-nonspam.txt sample-spam.txt
%dir %{_sysconfdir}/mail/spamassassin
%config(noreplace) %{_sysconfdir}/mail/spamassassin/*
%dir %{_datadir}/spamassassin
%config(noreplace) %{_datadir}/spamassassin/*
%{perl_sitelib}/Mail/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: spamassassin.spec,v $
Revision 1.20.2.33  2005/10/23 11:42:21  hawk
- moved R: perl-IO-Socket-INET6 >= 2.51 to perl-Mail-SpamAssassin
- removed Conflicts perl-IO-Socket-INET6 < 2.51

Revision 1.20.2.32  2005/10/21 20:35:27  jack
- added R: perl-IO-Socket-INET6 >= 2.51

Revision 1.20.2.31  2005/10/17 19:00:06  hawk
- merged update to 3.1.0 from HEAD revision 1.84
- release 3 for Ra

Revision 1.20.2.30  2005/06/06 21:41:33  hawk
- release 2 for Ra

Revision 1.20.2.29  2005/06/06 21:24:14  jack
- updated to 3.0.4

Revision 1.20.2.28  2005/05/18 08:35:43  hawk
- removed utf8_mode patch (HTML::Parser::utf8_mode requires perl >= 5.8)

Revision 1.20.2.27  2005/05/17 20:26:31  jack
- added R: perl-Unicode-MapUTF8

Revision 1.20.2.26  2005/04/30 07:34:27  hawk
- updated to 3.0.3

Revision 1.20.2.25  2005/04/26 15:34:05  hawk
- adjusted to build with old ExtUtils-MakeMaker

Revision 1.20.2.24  2005/04/21 13:24:13  hawk
- merged version 3.0.2 from HEAD
- release 2 for Ra

Revision 1.20.2.23  2004/09/13 20:04:27  jack
- maruderzy nie czytaj TODO!

Revision 1.20.2.22  2004/09/13 19:12:30  jack
- added Requires: perl-Cache-DB_File - it couldn't learn without it.

Revision 1.20.2.21  2004/09/13 18:36:10  jack
- updated to 2.64

Revision 1.20.2.20  2004/08/16 08:19:57  blues
- SECURITY note

Revision 1.20.2.19  2004/03/19 13:10:33  ankry
- massive change: BR: openssl-devel >= 0.9.6m

Revision 1.20.2.18  2004/01/22 13:57:52  eothane
- updated to 2.63
- removed 'SYSCONFDIR' in %{__make} -
  we don't need /etc/mail/spamassassin/mail/spamassassin/local.cf

Revision 1.20.2.17  2004/01/18 11:25:17  eothane
- updated to 2.62
- new style bcond

Revision 1.20.2.16  2003/12/09 15:50:44  areq
- 2.61

Revision 1.20.2.15  2003/09/30 19:49:55  eothane
- openssl 0.9.6k
- release+

Revision 1.20.2.14  2003/09/29 23:30:14  ankry
- removed bogus -q from %prep

Revision 1.20.2.13  2003/08/23 18:06:19  blues
- sort

Revision 1.20.2.12  2003/08/21 21:05:19  arekm
- admin email

Revision 1.20.2.11  2003/08/21 21:03:55  arekm
- updated to 2.60

Revision 1.20.2.10  2003/08/05 16:54:15  areq
- BR: perl-devel

Revision 1.20.2.9  2003/08/05 14:50:35  baggins
- 2.55

Revision 1.20.2.8  2003/07/11 12:04:14  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.20.2.7  2003/05/13 08:46:53  areq
- 2.54

Revision 1.20.2.6  2003/04/23 15:55:29  ankry
- added BR: perl-Mail-Audit
- rel. 2

Revision 1.20.2.5  2003/04/16 12:32:46  ankry
- cleaner disabling Razor tests (from head)

Revision 1.20.2.4  2003/04/16 11:51:05  ankry
- make non-interactive
- more cleaning

Revision 1.20.2.3  2003/04/16 11:36:08  ankry
- merge from head: updated to 2.53
- BR: new perl.prov
- cleaning

Revision 1.20.2.2  2003/03/25 15:35:05  areq
- 2.52

Revision 1.20.2.1  2003/03/22 11:32:33  areq
- 2.51, STBR to RA updates general

Revision 1.20  2003/02/01 11:54:25  radek
- version 2.44 (bugfixes)

Revision 1.19  2002/10/18 11:51:20  ankry
- fixed DESTDIR build problems, release 2

Revision 1.18  2002/10/15 18:25:35  radek
- version 2.43 (bugfixes; author says: ,,rock solid'' ;-)

Revision 1.17  2002/10/06 11:11:53  kloczek
- release 1.

Revision 1.16  2002/10/05 14:36:58  ppv
- update to new version

Revision 1.15  2002/09/19 18:02:16  kloczek
- release 7: pl translations for spamc and spamd (by Krzysztof Pobieynski
  <ppv@wiedzmin.org>)

Revision 1.14  2002/09/17 14:33:17  kloczek
- fixed %%attr().

Revision 1.13  2002/09/17 14:15:26  kloczek
- release 6,
- clanups and adapaterize spec file,
- standarize %%post script,
- separate spamd configuration in /etc/sysconfig/spamassassin file
  (by Krzysztof Pobiezynski <ppv@wiedzmin.org>).

Revision 1.12  2002/09/17 11:03:01  radek
- separate spamd and spamc
- remove HTML documentation (same as manuals)
- turned off tests
- release 5

Revision 1.11  2002/09/14 16:33:37  misiek
- add documentation; rel 4

Revision 1.10  2002/09/06 16:20:22  baggins
- moved configs and definitions into perl-Mail... module, the daemon is
  _NOT_ needed to use SpamAssassin
- release 3

Revision 1.9  2002/09/06 10:27:26  radek
- perl(DBI) is not needed in most of the configurations
- enabled tests
- release 2

Revision 1.8  2002/09/05 22:16:59  radek
- version 2.41: bugfixes

Revision 1.7  2002/09/05 12:35:02  radek
- upgraded to 2.40

Revision 1.6  2002/08/04 10:07:55  radek
- removed noautoreq perl(Net::SMTP::*), added missing local.cf,
  fixed Makefile.PL; release 5

Revision 1.5  2002/08/01 08:03:09  radek
- make spamassassin the main package
- release 4

Revision 1.4  2002/07/30 01:01:27  radek
- get rid of findbin.patch, it's not really needed; rel 3

Revision 1.3  2002/07/27 13:42:46  kloczek
- cosmetics.

Revision 1.2  2002/07/26 22:42:55  radek
- changed package names (daemon and tools, not perl-*) to lowercase for
  easy upgrade from RH: perl -pi -e 's/^(%%[a-z]+ -n SpamAssassin)/lc $1/e'
- added obsoletes
- added Summary(pl), fixed %%doc
- added %post and %%preun scripts (chkconfig) for package spamassassin
  (I'm not sure about names inconsistency: init.d/spamassassin <-> spamd)
- moved %clean before %%files, as in other perl specs
- release 2

Revision 1.1  2002/07/20 13:55:37  radek
- initial revision, rewritten from RH.

* Fri Apr 19 2002 Theo Van Dinter <felicity@kluge.net>
- Updated for 2.20 release
- made /etc/mail/spamassassin a config directory so local.cf doesn't get wiped out
- added a patch to remove findbin stuff

* Wed Feb 27 2002 Craig Hughes <craig@hughes-family.org>
- Updated for 2.1 release

* Sat Feb 02 2002 Theo Van Dinter <felicity@kluge.net>
- Updates for 2.01 release
- Fixed rc file
- RPM now buildable as non-root
- fixed post_service errors
- fixed provides to include perl modules
- use file find instead of manually specifying files

* Tue Jan 15 2002 Craig Hughes <craig@hughes-family.org>
- Updated for 2.0 release

* Wed Dec 05 2001 Craig Hughes <craig@hughes-family.org>
- Updated for final 1.5 distribution.

* Sun Nov 18 2001 Craig Hughes <craig@hughes-family.org>
- first version of rpm.
